Browse Source

Merge pull request #167 from austin987/misc

miscellanous stuff
SolidHal 4 years ago
parent
commit
7b44a6941f

+ 1 - 1
README.md

@@ -69,7 +69,7 @@ This has only been tested on a Debian Buster VM, and borrows some components fro
 Write the 2GB image to a flash drive. Make sure to replace $USB_DEVICE with the desired target flash drive or SD card device. If you're not familiar with dd, check out Debian's
  how to page https://www.debian.org/CD/faq/#write-usb
 ```
-sudo dd if=PrawnOS-*.img of=/dev/$USB_DEVICE bs=50M; sync
+sudo dd if=PrawnOS-*.img of=/dev/$USB_DEVICE bs=50M status=progress; sync
 ```
 
 ## Installing

+ 7 - 2
resources/InstallResources/packages/Package_Build_Instructions.txt

@@ -5,13 +5,18 @@ When PrawnOS has its own apt repos these will be available there...
 If you want to build them yourself run:
 
 For libinput-gestures:
-sudo apt install -y libinput-tools xdotool build-essential
+sudo apt install -y build-essential libinput-tools xdotool
 git clone http://github.com/bulletmark/libinput-gestures
 cd libinput-gestures
 sudo make install 
 
 For Xfdashboard:
-apt-get install -y xfce4-dev-tools build-essential glib2.0 libglib2.0-dev xorg-dev libwnck-3-dev libclutter-1.0-dev libgarcon-1-0-dev libxfconf-0-dev libxfce4util-dev libxfce4ui-2-dev libxcomposite-dev libxdamage-dev libxinerama-dev
+apt-get install -y build-essential glib2.0
+libclutter-1.0-dev libgarcon-1-0-dev libglib2.0-dev
+libwnck-3-dev libxcomposite-dev libxdamage-dev libxfce4ui-2-dev
+libxfce4util-dev libxfconf-0-dev libxinerama-dev
+xfce4-dev-tools xorg-dev
+
 git clone https://github.com/gmc-holle/xfdashboard
 #get most recent version I've tested
 cd xfdashboard

+ 10 - 2
scripts/InstallScripts/InstallPrawnOS.sh

@@ -95,8 +95,17 @@ install() {
         esac
     done
 
-    umount ${TARGET}1 || /bin/true
+    # Only try to unmount if the device is mounted
+    # If it is, try anyway, the dd will (likely) take care of it anyway
+    if findmnt ${TARGET}1 > /dev/null
+    then
+        umount ${TARGET}1 || /bin/true
+    fi
+
+    if findmnt ${TARGET}2 > /dev/null
+    then
     umount ${TARGET}2 || /bin/true
+    fi
 
     if [[ $TARGET == "/dev/mmcblk2p" ]]
     then
@@ -221,7 +230,6 @@ external_partition() {
     EXTERNAL_TARGET=$1
     kernel_start=8192
     kernel_size=65536
-    root_start=$(($kernel_start + $kernel_size))
     #wipe the partition map, cgpt doesn't like anything weird in the primary or backup partition maps
     sgdisk -Z $EXTERNAL_TARGET
     partprobe $EXTERNAL_TARGET

+ 4 - 1
scripts/InstallScripts/buildCrossystem.sh

@@ -1,4 +1,7 @@
-#!/bin/sh -xe
+#!/bin/bash
+
+set -x
+set -e
 
 #Build mosys, which is required for crossystem
 

+ 3 - 2
scripts/buildKernel.sh

@@ -3,7 +3,7 @@
 set -x
 set -e
 
-#Build kenerl, wifi firmware
+#Build kernel, wifi firmware
 
 
 # This file is part of PrawnOS (http://www.prawnos.com)
@@ -26,10 +26,11 @@ then
     echo "No kernel version supplied"
     exit 1
 fi
+
 KVER=$1
-TEST_PATCHES=false
 ROOT_DIR=`pwd`
 RESOURCES=$ROOT_DIR/resources/BuildResources
+
 [ ! -d build ] && mkdir build
 cd build
 if [ ! -f PrawnOS-initramfs.cpio.gz ]

+ 0 - 1
scripts/crossmenuconfig.sh

@@ -30,7 +30,6 @@ fi
 KVER=$1
 
 
-TEST_PATCHES=false
 ROOT_DIR=`pwd`
 RESOURCES=$ROOT_DIR/resources/BuildResources